For Developers
Get School Calendar
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/school_calendars/:school_calendar_id
Retrieve information about a specific School Calendar.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
school_calendar_id | url | string | The UUID of the desired School Calendar. |
Sample Request
axios.get('https://ed.link/api/v2/graph/school_calendars/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"calendar_id": "00000000-0000-0000-0000-000000000001",
"school_year_id": "00000000-0000-0000-0000-000000000002",
"type": "academic"
},
"$request": "00000000-0000-0000-0000-000000000000"
}